Bug 25072 - Printing details.tt is broken
Summary: Printing details.tt is broken
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-06 21:32 UTC by Lucas Gass
Modified: 2020-05-14 22:35 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06. 19.05.11


Attachments
Bug 25072: Fix details.tt print CSS (1.06 KB, patch)
2020-04-15 21:45 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 25072: Fix details.tt print CSS (1.16 KB, patch)
2020-04-29 01:15 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 25072: Fix details.tt print CSS (1.24 KB, patch)
2020-04-29 08:56 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2020-04-06 21:32:22 UTC
When printing the details.tt page on the staff client there is a large amount of white space on the left side. 

Looking at print.css, we hide #menu but it (or something else) still looks to be taking up space on the left.

TO RECREATE: 
-Search for something in the catalog and go to the details page.
-Try to print either for the Print button in Koha or File->Print...
-Notice the large amount of whitespace on the left
Comment 1 Lucas Gass 2020-04-15 21:45:04 UTC
Created attachment 103037 [details] [review]
Bug 25072: Fix details.tt print CSS

TO TEST:
-Search for something in the catalog and go to the details page.
-Try to print either for the Print button in Koha or File->Print...
-Notice the large amount of whitespace on the left
-Apply patch
-Reload detaials page and attempt to print again.
-No whitespace on left side
Comment 2 Bernardo Gonzalez Kriegel 2020-04-23 13:33:10 UTC
Hi Lucas

(In reply to Lucas Gass from comment #0)
> -Notice the large amount of whitespace on the left

Can't reproduce, could you add a screenshot of what you see?
Comment 3 Lucas Gass 2020-04-28 22:12:45 UTC
Bernardo,

Here is what I am talking about:

https://snipboard.io/7OWAej.jpg
Comment 4 Bernardo Gonzalez Kriegel 2020-04-29 00:47:57 UTC
(In reply to Lucas Gass from comment #3)
> Here is what I am talking about:
> 
> https://snipboard.io/7OWAej.jpg

Lucas,
I see, but this is what I see

https://snipboard.io/Jca7w1.jpg

(Opera, current master, Print option from details page)

No space on the left for me.
Comment 5 Bernardo Gonzalez Kriegel 2020-04-29 01:04:58 UTC
Seems to be a Firefox problem, or at least I can see your problem using Firefox
Comment 6 Bernardo Gonzalez Kriegel 2020-04-29 01:15:06 UTC
Created attachment 103896 [details] [review]
Bug 25072: Fix details.tt print CSS

TO TEST:
-Search for something in the catalog and go to the details page.
-Try to print either for the Print button in Koha or File->Print...
-Notice the large amount of whitespace on the left
-Apply patch
-Reload detaials page and attempt to print again.
-No whitespace on left side

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Improves output using Firefox browser, no errors
Comment 7 Jonathan Druart 2020-04-29 08:56:24 UTC
Created attachment 103905 [details] [review]
Bug 25072: Fix details.tt print CSS

TO TEST:
-Search for something in the catalog and go to the details page.
-Try to print either for the Print button in Koha or File->Print...
-Notice the large amount of whitespace on the left
-Apply patch
-Reload detaials page and attempt to print again.
-No whitespace on left side

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Improves output using Firefox browser, no errors

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Martin Renvoize 2020-04-29 15:25:21 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 9 Joy Nelson 2020-05-08 22:33:39 UTC
Backported to 19.11.x for 19.11.06
Comment 10 Lucas Gass 2020-05-14 22:35:05 UTC
backported to 19.05.x for 19.05.11